Bug 878680 - Review Request: perl-UUID-Tiny - Pure Perl UUID Support With Functional Interface
Review Request: perl-UUID-Tiny - Pure Perl UUID Support With Functional Inter...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 876411 890839
  Show dependency treegraph
 
Reported: 2012-11-20 17:55 EST by Miro Hrončok
Modified: 2013-01-02 09:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:42:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-20 17:55:36 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-UUID-Tiny.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-UUID-Tiny-1.03-2.fc17.src.rpm

Description:

UUID::Tiny is a lightweight, low dependency Pure Perl module for UUID
creation and testing. This module provides the creation of version 1 time
based UUIDs (using random multicast MAC addresses), version 3 MD5 based
UUIDs, version 4 random UUIDs, and version 5 SHA-1 based UUIDs.

Fedora Account System Username: churchyard
Comment 1 Michael Scherer 2012-11-23 16:04:30 EST
Seems there is no copy of the license, can you ask to upstream to add it ?

Also, i see :
Requires:       perl(Digest::SHA1)

Shouldn't it be autodetected ?

Otherwise, it is good enough to be pushed, so approved.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/878680-perl-UUID-
     Tiny/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (UUID-Tiny-1.03.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-UUID-Tiny-1.03-2.fc17.noarch.rpm
perl-UUID-Tiny.noarch: W: spelling-error %description -l en_US multicast -> Multics, simulcast
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-UUID-Tiny
perl-UUID-Tiny.noarch: W: spelling-error %description -l en_US multicast -> Multics, simulcast
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-UUID-Tiny (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.14.3)
    perl(Carp)
    perl(Digest::MD5)
    perl(Digest::SHA1)
    perl(Exporter)
    perl(MIME::Base64)
    perl(POSIX)
    perl(Time::HiRes)
    perl(bytes)
    perl(strict)
    perl(warnings)



Provides
--------
perl-UUID-Tiny:
    perl(UUID::Tiny)
    perl-UUID-Tiny



MD5-sum check
-------------
http://www.cpan.org/authors/id/C/CA/CAUGUSTIN/UUID-Tiny-1.03.tar.gz :
  CHECKSUM(SHA256) this package     : 38b86e246984a1ac332be7c758996f154cf62b573d423360bf6c221131b6898e
  CHECKSUM(SHA256) upstream package : 38b86e246984a1ac332be7c758996f154cf62b573d423360bf6c221131b6898e


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-17-x86_64
Command line :./try-fedora-review -b 878680
Comment 2 Miro Hrončok 2012-11-23 17:40:33 EST
(In reply to comment #1)
> Seems there is no copy of the license, can you ask to upstream to add it ?
Sure I can. I'll do.

> Requires:       perl(Digest::SHA1)
> 
> Shouldn't it be autodetected ?
It should, but it is not. Don't know exactly how it works, but the documentation says, it is need at the runtime.

http://cpansearch.perl.org/src/CAUGUSTIN/UUID-Tiny-1.03/META.yml

I think (but I am new to this and never used Perl), it isn't autodetected because it is in eval statement.

Quick look into /lib/UUID/Tiny.pm says gives me clue, there is a dependency on either one of those:

Digest::SHA1, Digest::SHA or Digest::SHA::PurePerl

The code to determinate what module to use (lines 12-23) blocks the autodetection.
Comment 3 Michael Scherer 2012-11-23 19:14:53 EST
yeah, that's likely the reason ( usually, i take a look instead of asking, but I am lazy tonight :/ ). Rpm is not smart enough to fully understand perl code ( even if parsing meta.yml would be smarter ).
Comment 4 Miro Hrončok 2012-11-24 10:06:48 EST
New Package SCM Request
=======================
Package Name: perl-UUID-Tiny
Short Description: Pure Perl UUID Support With Functional Interface
Owners: churchyard
Branches: f17 f18
Comment 5 Jon Ciesla 2012-11-24 13:23:24 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-11-24 18:20:47 EST
perl-UUID-Tiny-1.03-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-UUID-Tiny-1.03-2.fc17
Comment 7 Fedora Update System 2012-11-24 18:21:37 EST
perl-UUID-Tiny-1.03-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-UUID-Tiny-1.03-2.fc18
Comment 8 Fedora Update System 2012-11-25 14:30:31 EST
perl-UUID-Tiny-1.03-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-11-29 01:42:19 EST
perl-UUID-Tiny-1.03-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2012-12-06 22:30:10 EST
perl-UUID-Tiny-1.03-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Petr Šabata 2013-01-02 04:53:48 EST
Package Change Request
======================
Package Name: perl-UUID-Tiny
Branches: f17 f18
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 12 Jon Ciesla 2013-01-02 09:38:13 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.